Package com.enonic.xp.web

## Class WebRequest

- java.lang.Object
- - com.enonic.xp.web.WebRequest

- Direct Known Subclasses:
    `PortalRequest`

      @PublicApi
      public class WebRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebRequest()` |
    `WebRequest​(WebRequest webRequest)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBody()` |
    `String` | `getBodyAsString()` |
    `String` | `getContentType()` |
    `Map<String,​String>` | `getCookies()` |
    `String` | `getEndpointPath()` |
    `Map<String,​String>` | `getHeaders()` |
    `String` | `getHost()` |
    `IdProvider` | `getIdProvider()` |
    `HttpMethod` | `getMethod()` |
    `Multimap<String,​String>` | `getParams()` |
    `String` | `getPath()` |
    `int` | `getPort()` |
    `String` | `getRawPath()` |
    `javax.servlet.http.HttpServletRequest` | `getRawRequest()` |
    `String` | `getRemoteAddress()` |
    `String` | `getScheme()` |
    `String` | `getUrl()` |
    `WebSocketContext` | `getWebSocketContext()` |
    `boolean` | `isWebSocket()` |
    `void` | `setBody​(Object body)` |
    `void` | `setContentType​(String contentType)` |
    `void` | `setEndpointPath​(String endpointPath)` |
    `void` | `setHost​(String host)` |
    `void` | `setIdProvider​(IdProvider idProvider)` |
    `void` | `setMethod​(HttpMethod method)` |
    `void` | `setPath​(String path)` |
    `void` | `setPort​(int port)` |
    `void` | `setRawPath​(String rawPath)` |
    `void` | `setRawRequest​(javax.servlet.http.HttpServletRequest rawRequest)` |
    `void` | `setRemoteAddress​(String remoteAddress)` |
    `void` | `setScheme​(String scheme)` |
    `void` | `setUrl​(String url)` |
    `void` | `setWebSocketContext​(WebSocketContext webSocketContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebRequest

          public WebRequest()

    - #### WebRequest

          public WebRequest​(WebRequest webRequest)

  - ### Method Detail

    - #### getMethod

          public HttpMethod getMethod()

    - #### getParams

          public Multimap<String,​String> getParams()

    - #### getScheme

          public String getScheme()

    - #### getHost

          public String getHost()

    - #### getPort

          public int getPort()

    - #### getRemoteAddress

          public String getRemoteAddress()

    - #### getPath

          public String getPath()

    - #### getRawPath

          public String getRawPath()

    - #### getUrl

          public String getUrl()

    - #### setMethod

          public void setMethod​(HttpMethod method)

    - #### setScheme

          public void setScheme​(String scheme)

    - #### setHost

          public void setHost​(String host)

    - #### setPort

          public void setPort​(int port)

    - #### setRemoteAddress

          public void setRemoteAddress​(String remoteAddress)

    - #### setPath

          public void setPath​(String path)

    - #### setRawPath

          public void setRawPath​(String rawPath)

    - #### setUrl

          public void setUrl​(String url)

    - #### getHeaders

          public Map<String,​String> getHeaders()

    - #### getIdProvider

          public IdProvider getIdProvider()

    - #### setIdProvider

          public void setIdProvider​(IdProvider idProvider)

    - #### getCookies

          public Map<String,​String> getCookies()

    - #### getEndpointPath

          public String getEndpointPath()

    - #### setEndpointPath

          public void setEndpointPath​(String endpointPath)

    - #### getContentType

          public String getContentType()

    - #### setContentType

          public void setContentType​(String contentType)

    - #### getBody

          public Object getBody()

    - #### setBody

          public void setBody​(Object body)

    - #### getBodyAsString

          public String getBodyAsString()

    - #### getRawRequest

          public javax.servlet.http.HttpServletRequest getRawRequest()

    - #### setRawRequest

          public void setRawRequest​(javax.servlet.http.HttpServletRequest rawRequest)

    - #### isWebSocket

          public boolean isWebSocket()

    - #### getWebSocketContext

          public WebSocketContext getWebSocketContext()

    - #### setWebSocketContext

          public void setWebSocketContext​(WebSocketContext webSocketContext)